Loading...
Searching...
No Matches
caf::typed_event_based_actor< Sigs > Class Template Reference

A cooperatively scheduled, event-based actor implementation with static type-checking. More...

`#include <typed_event_based_actor.hpp>`

Inheritance diagram for caf::typed_event_based_actor< Sigs >:

## Public Types

using | super
using | signatures = detail::type_list<Sigs...>
using | behavior_type = typed_behavior<Sigs...>
using | actor_hdl = typed_actor<Sigs...>

## Public Member Functions

| typed_event_based_actor (actor_config &cfg)
std::set< std::string > | message_types () const override
void | initialize () override

## Protected Member Functions

virtual behavior_type | make_behavior ()

## Detailed Description

template<class... Sigs>
class caf::typed_event_based_actor< Sigs >

A cooperatively scheduled, event-based actor implementation with static type-checking.

## Member Typedef Documentation

## super

template<class... Sigs>

using caf::typed_event_based_actor< Sigs >::super

Initial value:
typename
extend<scheduled_actor,
typed_event_based_actor<Sigs...>>::template
with<mixin::sender, mixin::requester, mixin::behavior_changer>
caf::scheduled_actor
A cooperatively scheduled, event-based actor implementation.
Definition scheduled_actor.hpp:111
caf::extend
Allows convenient definition of types using mixins.
Definition extend.hpp:50

The documentation for this class was generated from the following files:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/fwd.hpp
- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/typed_event_based_actor.hpp